<template>
  <div v-loading="loading" :style="'height:' + height" class="app-container">
    <!-- <el-row style="margin-bottom: 10px;">
        <el-col :span="1.5">
          <el-button type="primary" plain icon="el-icon-refresh-right" size="mini" @click="handleRefresh">刷新</el-button>
        </el-col>
      </el-row> -->

    <iframe
      :src="src"
      id="reportView"
      frameborder="no"
      style="width: 100%; height: 100%"
      scrolling="auto"
    />
  </div>
</template>
  <script>
import { getToken } from "@/utils/auth";
import { view } from "@/api/jmreport/jimu";
export default {
  name: "Ureport",
  data() {
    return {
      src: "",
      height: document.documentElement.clientHeight - 94.5 + "px;",
      loading: true,
      viewNum: "",
      reportId: "",
      dqdlr:""
    };
  },
  created() {
    //报表模板编号
    this.viewNum = this.$route.query.viewNum;
    //体检号
    this.tjNumber = this.$route.query.tjNumber;
    this.dqdlr = this.$route.query.dqdlr;
    view().then((res) => {
      this.src =
        res +
        "/" +
        this.viewNum +
        "?tjNumber=" +
        this.tjNumber +
        "&dqdlr=" +
        this.dqdlr +
        "&token=Bearer " +
        getToken();
    });
  },
  methods: {
    handleRefresh() {
      document.getElementById("reportView").src =
        document.getElementById("reportView").src;
    },
  },
  mounted: function () {
    setTimeout(() => {
      this.loading = false;
    }, 230);
    const that = this;
    window.onresize = function temp() {
      that.height = document.documentElement.clientHeight - 94.5 + "px;";
    };
  },
};
</script>